Bug 265415 - Group by directory don't work in main playlist!
Summary: Group by directory don't work in main playlist!
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Playlist/Playlist Layout Editor (show other bugs)
Version: 2.6-git
Platform: Archlinux Packages Linux
: NOR normal with 20 votes (vote)
Target Milestone: 2.7
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-04 16:24 UTC by mrmcmar
Modified: 2013-02-06 11:04 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.8


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mrmcmar 2011-02-04 16:24:19 UTC
Version:           2.4.0 (using KDE 4.6.0) 
OS:                Linux

There is no grouping at all, if I select group by directory in the Playlist Layout Editor.

Reproducible: Didn't try

Steps to Reproduce:
Load two or more albums, which are in different directories. 
Open the Playlist Layout Editor.
Select a layout, that groups correct by album.
Change group by field to directory.
Press apply.


Actual Results:  
No grouping was active in playlist anymore.

Expected Results:  
All albums in my collections are in different directories, so the same result as "group by album" is expected.

OS: Linux (x86_64) release 2.6.37-ARCH
Compiler: gcc
Comment 1 Myriam Schweingruber 2011-06-04 12:16:40 UTC
This is an automated message from the triager:

Amarok 2.4.1 has been released on May 8 already. Could you please upgrade and test if you can still reproduce this bug?

Without feedback within a month we will close this bug as resolved.

Thank you for your understanding.
Comment 2 Myriam Schweingruber 2011-07-17 19:19:26 UTC
Teste with current git, it does indeed not work at all.
Comment 3 Myriam Schweingruber 2012-10-21 12:05:12 UTC
Bump version
Comment 4 Ralf Engels 2013-02-06 11:04:53 UTC
Git commit e9b11556687088b919606105cb517ee66295856f by Ralf Engels.
Committed on 06/02/2013 at 11:58.
Pushed by rengels into branch 'master'.

Group by directory don't work in main playlist

It was just not implemented and had a FIXME comment.
FIXED-IN: 2.8

M  +4    -1    src/playlist/proxymodels/GroupingProxy.cpp

http://commits.kde.org/amarok/e9b11556687088b919606105cb517ee66295856f